मैंने cmd . का उपयोग करके अपने प्रोजेक्ट में firebase पैकेज स्थापित किया है

npm install --save firebase 

जब मैं अपने प्रतिक्रिया-मूल प्रोजेक्ट import firebase from 'firebase' में फायरबेस आयात करता हूं तो मुझे यह त्रुटि मिल रही है। क्या समस्या हो सकती है? यहां छवि विवरण दर्ज करें

7
Touch sophonara 29 जून 2018, 12:31

3 जवाब

सबसे बढ़िया उत्तर

इस पैटर्न का पालन करें त्रुटि का समाधान हो जाएगा समस्या Firebase रेपो में उन्नयन के कारण है:

import React, {Component} from 'react';
import {Text, View} from 'react-native';
// import firebase from 'firebase';
import firebase from '@firebase/app'
import { Header } from './Components/Common';
4
Letsintegreat 12 जिंदा 2019, 13:17

उसी समस्या में भाग गया मैंने इसे बेबेल पॉलीफ़िल . स्थापित करके हल किया

npm i --save-dev babel-polyfill

फिर मेरे index.js में:

import 'babel-polyfill';
1
Syntax Hacker 11 जिंदा 2019, 13:37

फायरबेस के हाल के संस्करण के कारण आप संस्करण 4 पर वापस आ सकते हैं या आप इस तरह आयात कर सकते हैं

'@ फायरबेस/ऐप' से फायरबेस आयात करें; उपरोक्त दो तरीकों में से कोई भी आपकी समस्या का समाधान करेगा

0
Bhanuprakash Reddy 25 पद 2018, 08:35